<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <UserSecretsId>85fd766d-5d23-4476-aed1-463b2942e86a</UserSecretsId>
    <IsPackable>true</IsPackable>
    <PackageLicenseExpression>WTFPL</PackageLicenseExpression>
    <NoWarn>NETSDK1138,CS1591,MSB3243</NoWarn>
    <AssemblyVersion>1.0.7.0</AssemblyVersion>
    <FileVersion>1.0.7.0</FileVersion>
    <InformationalVersion>1.0.7+Branch.main.Sha.3695c1742965d93eba0ad851656cfaa3e44ba327</InformationalVersion>
    <Version>1.0.7</Version>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="7.0.4" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="7.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.4">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.4" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="7.0.5" />
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="7.0.4" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.3" IncludeAssets="All" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.4" />

    <PackageReference Include="NuGet.Packaging.Core" Version="6.5.0" />
    <PackageReference Include="MailKit" Version="3.6.0" />
    <PackageReference Include="unleash.client" Version="2.4.3" />
    <PackageReference Include="GitVersion.MsBuild" Version="5.12.0">
      <PrivateAssets>All</PrivateAssets>
    </PackageReference>
    <PackageReference Include="System.Security.Cryptography.Pkcs" Version="7.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Antiforgery" Version="2.2.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.4" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="../isn.abst/isn.abst.csproj" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\LICENSE" Pack="true" PackagePath="LICENSE" />
  </ItemGroup>
</Project>